Commit f5225d32 authored by Agate's avatar Agate 💬

Merge branch '198-secrets' into 'develop'

Resolve "Secrets module is only availble on Python 3.6"

Closes #198

See merge request funkwhale/funkwhale!190
parents db4c1356 190a4357
# -*- coding: utf-8 -*-
from __future__ import unicode_literals, absolute_import
import binascii
import os
import uuid
import secrets
from django.conf import settings
from django.contrib.auth.models import AbstractUser
......@@ -14,6 +15,10 @@ from django.utils.translation import ugettext_lazy as _
from funkwhale_api.common import fields
def get_token():
return binascii.b2a_hex(os.urandom(15)).decode('utf-8')
@python_2_unicode_compatible
class User(AbstractUser):
......@@ -58,7 +63,7 @@ class User(AbstractUser):
return self.secret_key
def update_subsonic_api_token(self):
self.subsonic_api_token = secrets.token_hex(32)
self.subsonic_api_token = get_token()
return self.subsonic_api_token
def set_password(self, raw_password):
......
Removed Python 3.6 dependency (secrets module) (#198)
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment